## expurgate 2.1.1

=== Makefile ===
build:

install: build
	# bin
	cp usr/local/eleven/bin/expurgate  ${DESTDIR}/usr/sbin
	
	# etc
	mkdir -p ${DESTDIR}/etc/default
	cp -r usr/local/eleven/etc ${DESTDIR}/etc/expurgate
	rm -r ${DESTDIR}/etc/expurgate/init.d
	cp noris/config/expurgate.xml ${DESTDIR}/etc/expurgate/
	cp noris/lizenz/* ${DESTDIR}/etc/expurgate/
	
	# /etc/default/expurgate
	echo 'EXPURGATE_OPTS="--logfile EMERG-INFO:/var/log/expurgate.log -f /etc/expurgate/expurgate.xml --uid expurgate --gid expurgate --ipaddress 127.0.0.1 --servermode --dontvalidatesmtpenv"' > ${DESTDIR}/etc/default/expurgate
	
	# init script umschreiben
	sed -e 's#usr/local/eleven/bin#usr/sbin#g;s#eXpurgate#expurgate#g;s#var/run#var/run/expurgate#g' usr/local/eleven/etc/init.d/debian/eXpurgate_start > debian/init.d
	
	# /var/lib
	mkdir -p ${DESTDIR}/var/lib/expurgate
	cp -r usr/local/eleven/dynamic ${DESTDIR}/var/lib/expurgate/dynamic
	mkdir ${DESTDIR}/var/lib/expurgate/broken-mails
	
	# /var/run
	mkdir -p ${DESTDIR}/var/run/expurgate
	
	# /var/spool
	mkdir -p ${DESTDIR}/var/spool/expurgate
	
	# /usr/share/doc
	mkdir -p ${DESTDIR}/usr/share/doc/expurgate/
	cp -r usr/local/eleven/mails ${DESTDIR}/usr/share/doc/expurgate/
	cp -r usr/local/eleven/licenses usr/local/eleven/expurgate-manual-??.pdf usr/local/eleven/ReleaseNotes.txt \
		${DESTDIR}/usr/share/doc/expurgate/
	
	# logrotate
	mkdir -p ${DESTDIR}/etc/logrotate.d
	cp noris/logrotate/expurgate ${DESTDIR}/etc/logrotate.d/

clean:
	rm -f *-stamp
	dh_clean

=== debian/changelog ===
expurgate (2.1.1) stable; urgency=low

  * Neue expurgate version

 -- Micha Krause <Micha@noris.de>  Tue, 13 May 2008 12:43:09 +0200

expurgate (2.1.0-1) stable; urgency=low

  * "chown expurgate /var/lib/expurgate" is postinst

 -- Micha Krause <Micha@noris.de>  Tue, 29 Apr 2008 10:48:53 +0200

expurgate (2.1.0) stable; urgency=low

  * Neue expurgate Version, und neue Lizenz

 -- Micha Krause <Micha@noris.de>  Tue, 25 Mar 2008 11:29:09 +0100

expurgate (2.0.11-1) stable; urgency=low

  * grr, geh jetzt endlich ins Archiv

 -- Micha Krause <Micha@noris.de>  Tue,  4 Dec 2007 10:35:24 +0100
 

expurgate (2.0.11) stable; urgency=low

  * neues teil
  * hab die depency zu glibc rausgenommen, da etch eh die richige version
    beinhaltet

 -- Micha Krause <Micha@noris.de>  Thu, 22 Nov 2007 18:56:12 +0100

expurgate (2.0.8) stable; urgency=low

  * neue Timing-Parameter zur verbesserten Erkennung von aktuellen Spamwellen

 -- Micha Krause <Micha@noris.de>  Mon, 24 Sep 2007 15:49:51 +0200

expurgate (2.0. 7) stable; urgency=low

  * neue Timing-Parameter zur verbesserten Erkennung von aktuellen Spamwellen

 -- Micha Krause <Micha@noris.de>  Mon, 20 Aug 2007 16:04:28 +0200

expurgate (2.0.6) stable; urgency=low

  * Bugfix release

 -- Micha Krause <Micha@noris.de>  Tue, 19 Jun 2007 10:49:26 +0200

expurgate (2.0.5) stable; urgency=low

  * New Version

 -- Micha Krause <Micha@noris.de>  Mon, 11 Jun 2007 18:10:23 +0200

expurgate (2.0.4) stable; urgency=low

  * New major release, build from scratch

 -- Micha Krause <Micha@noris.de>  Wed,  6 Jun 2007 13:54:49 +0200

expurgate (1.3.33-8) unstable; urgency=low

  * Pimped init.d.

 -- Hardy Kestin <hardy@noris.net>  Fri,  3 Nov 2006 12:35:41 +0100

expurgate (1.3.33-7) unstable; urgency=low

  * Typo in control

 -- Hardy Kestin <hardy@noris.net>  Fri,  3 Nov 2006 10:39:55 +0100

expurgate (1.3.33-6) unstable; urgency=low

  * Changed logrotate.

 -- Hardy Kestin <hardy@noris.net>  Wed, 25 Oct 2006 18:02:02 +0200

expurgate (1.3.33-5) unstable; urgency=low

  * Added Depends: spamc.

 -- Hardy Kestin <hardy@noris.net>  Tue, 24 Oct 2006 17:16:13 +0200

expurgate (1.3.33-4) unstable; urgency=low

  * Typo in Makefile.

 -- Hardy Kestin <hardy@noris.net>  Tue, 24 Oct 2006 09:53:29 +0200

expurgate (1.3.33-3) unstable; urgency=low

  * Moved server-bin to /usr/sbin.
  * Fixed debian/dirs.

 -- Hardy Kestin <hardy@noris.net>  Thu, 19 Oct 2006 17:04:00 +0200

expurgate (1.3.33-2) unstable; urgency=low

  * Fixed expurgate.xml.
  * Fixed Makefile.

 -- Hardy Kestin <hardy@noris.net>  Thu, 19 Oct 2006 17:03:19 +0200

expurgate (1.3.33-1) unstable; urgency=low

  * Initial Release.
  * Changed Path's to fit debian policy.

 -- Hardy Kestin <hardy@noris.net>  Thu, 19 Oct 2006 11:08:42 +0200

## expurgate 2.1.1+nmu1

=== debian/changelog ===
expurgate (2.1.1+nmu1) lenny; urgency=low

  * Non-maintainer upload.
  * lenny statt stable 

 -- Katharina Drexel <katharina.drexel@noris.de>  Wed, 15 Apr 2009 15:38:49 +0200

=== debian/control ===
Source: expurgate
Section: noris/mail
Priority: extra
Maintainer: Micha Krause <micha@noris.de>
Build-Depends: debhelper (>= 5)
Standards-Version: 3.7.2

Package: expurgate
Architecture: i386
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Der Spam Filter eXpurgate

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1




CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp 
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)
	#docbook-to-man debian/expurgate.sgml > expurgate.1

	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) clean

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Add here commands to install the package into debian/expurgate.
	$(MAKE) DESTDIR=$(CURDIR)/debian/expurgate install


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
	dh_installexamples
#	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_python
	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
